unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,
  ShellAPI, HTMLHelpViewer;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    CDIR  : String;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  CDIR := GetCurrentDir;
  Application.HelpFile := ExtractFilePath(Application.ExeName) + '.\ayuda\h1.chm';
end;

procedure TForm1.Button1Click(Sender: TObject);
const
   PDFReader = '\ayuda\CoolPDFReader.exe';
var
  archi : string;
begin
  archi := '00.pdf';
  ShellExecute(Handle, 'open',PChar(CDIR+PDFReader), PChar(archi), nil, SW_SHOWNORMAL);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  HtmlHelp(0, PChar(Application.HelpFile), HH_DISPLAY_TOC, 0);
end;

end.
